defaultBackend:
  affinity: {{ lookup('template', 'roles/common_defaults_v1/templates/affinity.json') | to_yaml }}
  tolerations: {{ lookup('template', 'roles/common_defaults_v1/templates/tolerations.json') | to_yaml }}
controller:
  affinity: {{ lookup('template', 'roles/common_defaults_v1/templates/affinity.json') | to_yaml }}
  tolerations: {{ lookup('template', 'roles/common_defaults_v1/templates/tolerations.json') | to_yaml }}
  service:
    type: "{{ k8s_ingress_service_type }}"
    nodePorts:
      http: "{{ k8s_ingress_nodeport_http }}"
      https: "{{ k8s_ingress_nodeport_https }}"
  extraArgs:
    enable-ssl-passthrough: "{{ k8s_ingress_enable_ssl_passthrough }}"
  priorityClassName: "system-cluster-critical"
  replicaCount: "{{ k8s_ingress_replica_count }}"
  allowSnippetAnnotations: {{ k8s_ingress_allow_snippet_annotations | bool }}
  image:
    allowPrivilegeEscalation: false
  resources:
    limits:
      cpu: "{{ k8s_ingress_cpu_limit }}"
      memory: "{{ k8s_ingress_memory_limit }}"
    requests:
      cpu: "{{ k8s_ingress_cpu_request }}"
      memory: "{{ k8s_ingress_memory_request }}"
{% if k8s_monitoring_enabled %}
  metrics:
    enabled: true
    serviceMonitor:
      enabled: true
      namespace: "{{ k8s_ingress_namespace }}"
{% if monitoring_common_labels %}
      additionalLabels:
{% for label_key, label_value in monitoring_common_labels.items() %}
        {{ label_key | to_json }}: {{ label_value | to_json }}
{% endfor %}
{% endif %}
{% endif %}
